ParserFeatureSetterFactory (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.digester.ParserFeatureSetterFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.digester
Class ParserFeatureSetterFactory

    java.lang.Object
      org.apache.tomcat.util.digester.ParserFeatureSetterFactory

    public class ParserFeatureSetterFactory

extends java.lang.Object

Creates a `SAXParser` based on the underlying parser. Allows logical properties depending on logical parser versions to be set.

Since:
  1.6

Constructor Summary
`ParserFeatureSetterFactory()`

Method Summary
`static javax.xml.parsers.SAXParser` | `newSAXParser(java.util.Properties properties)` Create a new `SAXParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserFeatureSetterFactory

    public ParserFeatureSetterFactory()

Method Detail

### newSAXParser

    public static javax.xml.parsers.SAXParser newSAXParser(java.util.Properties properties)
                                                    throws javax.xml.parsers.ParserConfigurationException,
                                                           org.xml.sax.SAXException,
                                                           org.xml.sax.SAXNotRecognizedException,
                                                           org.xml.sax.SAXNotSupportedException

  Create a new `SAXParser`

  Parameters:
    `properties` - (logical) properties to be set on parser
  Returns:
    a `SAXParser` configured based on the underlying parser implementation.
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.